"use strict";function e(e){return e&&"object"==typeof e&&"default"in e?e.default:e}Object.defineProperty(exports,"__esModule",{value:!0});var t=e(require("prop-types")),s=require("react"),r=e(s);
/**
 * @function
 *
 * @param width can be 'auto', a number representing a fraction of 12, or an object representing values at specific breakpoints: xs, sm, md, lg, xl. The default is an object with `sm: 'auto'`.
 * @returns {array} an array of className strings
 *
 * @example
 * const width = {
 *   md: 5 / 6,
 *   lg: 2 / 3,
 *   xl: 1 / 2
 * }
 * const columnClassNames = getClassesForColumn(width)
 * ;<div className='row'>
 *    <div className={columnClassNames.join(' ')} style={{border: '1px solid black'}}>
 *      <p>width: <code>{JSON.stringify(width)}</code></p>
 *      <p>returns: <code>{JSON.stringify(columnClassNames)}</code></p>
 *    </div>
 *  </div>
 */
const o=e=>{let t=[];const s=e=>Math.floor(12*Number(e));if("object"==typeof(e=e||{sm:"auto"})){const r=r=>{let o=e[r],n="col",i="";"xs"===r?// there are no size utility classes for extra small (xs) viewports
// defined widths take the form of 'col-${N}'
// automatic behavior is simply 'col'
o&&(i="auto"===o?"col":`${n}-${s(o)}`):(// for all other sizes
// defined widths take the form of `col-${size}-${N}`
// automatic behaviors is `col-${size}-auto`
n="col-"+r,o&&(i="auto"===o?n+"-auto":`${n}-${s(o)}`)),i&&t.push(i)};r("xs"),r("sm"),r("md"),r("lg"),r("xl")}else// specified width is not an object
"auto"===e?t.push("col"):t.push("col-"+s(e));return t},n="/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/Alert.jsx";
/**
 * > _Provide contextual feedback messages for typical user actions with the handful of available and flexible alert messages._
 * > https://getbootstrap.com/docs/4.5/components/alerts/
 */
class i extends r.Component{get className(){return"alert alert-"+this.theme}get containerClassName(){let e=["mb-3"];return this.props.contain&&e.push("container"),this.props.column&&e.push(...o(this.props.width)),e.join(" ")}get theme(){let e;switch(this.props.theme){case"blue":case"primary":e="primary";break;case"green":case"success":e="success";break;case"red":case"error":case"danger":e="danger";break;case"yellow":case"orange":case"warning":e="warning";break;case"dark":e="dark";break;case"secondary":case"gray":case"grey":e="secondary";break;case"light":e="light";break;case"info":default:e="info"}return e}get style(){let e={alert:{},container:{}};return this.props.style&&Object.assign(e,JSON.parse(JSON.stringify(this.props.style))),e}render(){return r.createElement("div",{className:this.containerClassName,style:this.style.container,__self:this,__source:{fileName:n,lineNumber:78}},r.createElement("div",{className:this.className,style:this.style.alert,__self:this,__source:{fileName:n,lineNumber:79}},this.props.header?r.createElement("div",{__self:this,__source:{fileName:n,lineNumber:81}},r.createElement("h4",{className:"alert-heading",__self:this,__source:{fileName:n,lineNumber:82}},this.props.header),r.createElement("hr",{__self:this,__source:{fileName:n,lineNumber:83}})):"",this.props.children))}}i.propTypes={children:t.node,/** set to true if the alert is a child of a `.row` element */column:t.bool,
/** setting to true will include the `.container` class to the outer `<div>`
   * [See: Bootstrap Docs > Layout > Overview > Containers](https://getbootstrap.com/docs/4.5/layout/overview/#containers)
   * */
contain:t.bool,/** will render an an alert heading with this prop as its contents **/header:t.node,/** set the style of the inner container and alert `<div>` elements separately */style:t.object,theme:t.oneOf(["blue","primary","green","success","red","error","danger","yellow","orange","warning","dark","secondary","gray","grey","light","info"]),/** @see width props */width:t.oneOfType([t.object,t.string,t.number])},i.defaultProps={column:!1,contain:!1,style:{alert:{},container:{}},theme:"info",width:{sm:"auto"}};
/**
 * Self-explanatory.
 */
class a extends r.Component{constructor(e){super(e),this.state={}}get backgroundColorRgb(){let e=[95,239,95];return this.state.warm?e[1]=255:this.state.flash&&(e=[64,255,64]),e}get borderColorRgba(){let e=[0,0,0,0];return this.state.warm?(e[0]=64,e[3]=.125):this.state.flash&&(e=[64,255,64,.5]),e}get boxShadowRgba(){let e=[0,255,0,0];return this.state.warm?(e[0]=64,e[3]=.5):this.state.flash&&(e[0]=128,e[3]=1),e}get colorRgb(){let e=[0,0,40];return this.state.warm?(e[0]=32,e[1]=64):this.state.flash&&(e[0]=64,e[1]=128),e}warm(){this.setState(e=>(e.warm=!0,e)),setTimeout(()=>{this.unwarm()},400)}unwarm(){this.setState(e=>(e.warm=!1,e))}rubberBand(){this.setState({rubberBand:!0,pulse:!1,flash:!0}),setTimeout(()=>{this.setState(e=>(e.rubberBand=!1,e))},800),setTimeout(()=>{this.setState(e=>(e.flash=!1,e))},400)}pulse(){this.setState({pulse:!0}),this.warm(),setTimeout(()=>{this.setState(e=>(e.pulse=!1,e))},800)}onClick(e){e.preventDefault(),this.rubberBand(),this.props.onClick&&(e.persist(),setTimeout(()=>{this.props.onClick(e)},300))}onMouseEnter(e){this.pulse()}render(){return r.createElement("button",{type:this.props.type||"button",disabled:this.props.disabled||!1,className:`btn btn-success animate__animated animate__fast ${this.state.rubberBand?"animate__rubberBand":""} ${this.state.pulse?"animate__pulse":""}`,style:{padding:"0.75rem 1.25rem",fontSize:"2.3rem",lineHeight:1.5,borderRadius:"0.3rem",border:"0.08125em solid transparent",backgroundImage:"radial-gradient(#eeeeff20, #00004040)",backgroundColor:`rgb(${this.backgroundColorRgb.join(",")})`,borderColor:`rgba(${this.borderColorRgba.join(",")})`,color:`rgb(${this.colorRgb.join(",")})`,boxShadow:`0 0 0 0.2rem rgba(${this.boxShadowRgba.join(",")})`,transition:"all 400ms ease-out"},onMouseEnter:this.onMouseEnter.bind(this),onClick:this.onClick.bind(this),__self:this,__source:{fileName:"/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/AnimatedButton.jsx",lineNumber:120}},this.props.children)}}a.defaultProps={disabled:!1,type:"button"},a.propTypes={children:t.node,disabled:t.bool,/** callback which accepts an `event` argument */onClick:t.func,/** button or submit */type:t.string};const l="/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/Boilerplate.jsx";
/**
 * This provides a quick and easy page layout for your React app.
 * You will need to import Bootstrap CSS separately.
 */class c extends r.Component{get containerClassName(){return this.props.noContain?"":"container"}get style(){let e={jumbotron:{},header:{marginTop:this.props.navBar&&"top"===this.props.navBar.props.fixedTo&&void 0===this.props.style.marginTop?"3.5em":void 0},main:{},footer:{}};return this.props.style&&Object.assign(e,this.props.style),e}render(){return r.createElement("div",{__self:this,__source:{fileName:l,lineNumber:35}},r.createElement("div",{__self:this,__source:{fileName:l,lineNumber:36}},this.props.navBar),r.createElement("header",{style:this.style.header,__self:this,__source:{fileName:l,lineNumber:37}},this.props.jumbotron?r.createElement("div",{className:"jumbotron",style:this.style.jumbotron,__self:this,__source:{fileName:l,lineNumber:39}},r.createElement("div",{className:this.containerClassName,__self:this,__source:{fileName:l,lineNumber:40}},this.props.jumbotron)):"",r.createElement("div",{className:this.containerClassName,__self:this,__source:{fileName:l,lineNumber:47}},r.createElement("div",{__self:this,__source:{fileName:l,lineNumber:48}},this.props.header))),r.createElement("main",{style:this.style.main,__self:this,__source:{fileName:l,lineNumber:51}},r.createElement("div",{className:this.containerClassName,__self:this,__source:{fileName:l,lineNumber:52}},this.props.children)),r.createElement("footer",{style:this.style.footer,__self:this,__source:{fileName:l,lineNumber:54}},r.createElement("div",{className:this.containerClassName,__self:this,__source:{fileName:l,lineNumber:55}},this.props.footer)))}}c.propTypes={/** children will go inside the `<main>` element */children:t.node,/** will be rendered inside `<footer>` element */footer:t.node,/** will be rendered inside `<header>` element */header:t.node,
/** > Lightweight, flexible component for showcasing hero unit style content.
   * https://getbootstrap.com/docs/4.5/components/jumbotron/
   */
jumbotron:t.node,/** this should be an instance of [`<NavBar>`](#navbar) */navBar:t.element,/** do not use the `container` className within the child `<div>` elements of `<main>`, `<header>`, and `<footer>` */noContain:t.bool,/** set the style of jumbotron, header, main, and footer elements separately */style:t.object},c.defaultProps={noContain:!1,/** set the styles of jumbotron, header, main, and footer separately */style:{jumbotron:{},header:{},main:{},footer:{}}};const m="/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/Card.jsx";
/**
 * > _Bootstrap’s cards provide a flexible and extensible content container with multiple variants and options._
 * > https://getbootstrap.com/docs/4.5/components/card/
 */class p extends r.Component{get className(){let e={card:"",header:"",body:""};return this.props.className&&Object.assign(e,this.props.className),e}get containerClassName(){let e=[];return this.props.contain&&e.push("container"),this.props.column&&e.push(...o(this.props.width)),e.join(" ")}get bodyTheme(){return this.getTheme(this.props.bodyTheme)}get cardTheme(){return this.getTheme(this.props.theme)}get footerTheme(){return this.getTheme(this.props.footerTheme)}get headerTheme(){return this.getTheme(this.props.headerTheme)}getTheme(e){let t="";switch(e){case"blue":t="bg-primary text-light";break;case"dark":t="bg-dark text-light";break;case"gray":case"grey":t="bg-secondary text-light";break;case"green":t="bg-success text-light";break;case"light":t="bg-light text-dark";break;case"yellow":t="bg-warning text-dark";break;case"red":t="bg-danger text-light";break;case"teal":t="bg-info text-light"}return t}get style(){let e={card:{},container:{},footer:{},header:{},body:{}};return this.props.style&&Object.assign(e,JSON.parse(JSON.stringify(this.props.style))),this.props.footerBgColor&&(e.footer.backgroundColor=this.props.footerBgColor),this.props.footerFontColor&&(e.footer.color=this.props.footerFontColor),this.props.headerBgColor&&(e.header.backgroundColor=this.props.headerBgColor),this.props.headerFontColor&&(e.header.color=this.props.headerFontColor),e}render(){return r.createElement("div",{className:this.containerClassName,style:this.style.container,__self:this,__source:{fileName:m,lineNumber:111}},r.createElement("div",{className:`card ${this.cardTheme} ${this.className.card}`,style:this.style.card,__self:this,__source:{fileName:m,lineNumber:112}},this.props.header?r.createElement("div",{className:`card-header ${this.headerTheme} ${this.className.header}`,style:this.style.header,__self:this,__source:{fileName:m,lineNumber:116}},this.props.header):"",r.createElement("div",{className:`card-body ${this.bodyTheme} ${this.className.body}`,style:this.style.body,__self:this,__source:{fileName:m,lineNumber:124}},this.props.children),this.props.footer?r.createElement("div",{className:`card-footer ${this.footerTheme} ${this.className.footer}`,style:this.style.footer,__self:this,__source:{fileName:m,lineNumber:130}},this.props.footer):""))}}function h(e,t){void 0===t&&(t={});var s=t.insertAt;if(e&&"undefined"!=typeof document){var r=document.head||document.getElementsByTagName("head")[0],o=document.createElement("style");o.type="text/css","top"===s&&r.firstChild?r.insertBefore(o,r.firstChild):r.appendChild(o),o.styleSheet?o.styleSheet.cssText=e:o.appendChild(document.createTextNode(e))}}p.propTypes={bodyTheme:t.oneOf(["blue","dark","gray","grey","green","light","yellow","red","teal"]),children:t.node,/** this adds to the className of the inner card div */className:t.object,column:t.bool,
/** setting to true will include the `.container` class to the outer `<div>`
   * [See: Bootstrap Docs > Layout > Overview > Containers](https://getbootstrap.com/docs/4.5/layout/overview/#containers)
   * */
contain:t.bool,footer:t.node,footerBgColor:t.string,footerFontColor:t.string,footerTheme:t.oneOf(["blue","dark","gray","grey","green","light","yellow","red","teal"]),header:t.node,headerBgColor:t.string,headerFontColor:t.string,headerTheme:t.string,/** set the style of the card, container, footer, header, and body separately */style:t.object,theme:t.oneOf(["blue","dark","gray","grey","green","light","yellow","red","teal"]),width:t.oneOfType([t.object,t.string,t.number])},p.defaultProps={column:!1,contain:!1,style:{card:{},container:{},footer:{},header:{},body:{}},width:{sm:"auto"}};h(".modal-backdrop {\n  opacity: 0.63;\n}\n");var d={color:void 0,size:void 0,className:void 0,style:void 0,attr:void 0},u=s.createContext&&s.createContext(d),f=function(){return(f=Object.assign||function(e){for(var t,s=1,r=arguments.length;s<r;s++)for(var o in t=arguments[s])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e}).apply(this,arguments)},b=function(e,t){var s={};for(var r in e)Object.prototype.hasOwnProperty.call(e,r)&&t.indexOf(r)<0&&(s[r]=e[r]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var o=0;for(r=Object.getOwnPropertySymbols(e);o<r.length;o++)t.indexOf(r[o])<0&&(s[r[o]]=e[r[o]])}return s};function g(e){return function(t){return s.createElement(_,f({attr:f({},e.attr)},t),function e(t){return t&&t.map((function(t,r){return s.createElement(t.tag,f({key:r},t.attr),e(t.child))}))}(e.child))}}function _(e){var t=function(t){var r,o=e.size||t.size||"1em";t.className&&(r=t.className),e.className&&(r=(r?r+" ":"")+e.className);var n=e.attr,i=e.title,a=b(e,["attr","title"]);return s.createElement("svg",f({stroke:"currentColor",fill:"currentColor",strokeWidth:"0"},t.attr,n,a,{className:r,style:f({color:e.color||t.color},t.style,e.style),height:o,width:o,xmlns:"http://www.w3.org/2000/svg"}),i&&s.createElement("title",null,i),e.children)};return void 0!==u?s.createElement(u.Consumer,null,(function(e){return t(e)})):t(d)}// THIS FILE IS AUTO GENERATED
var N=function(e){return g({tag:"svg",attr:{viewBox:"0 0 24 24"},child:[{tag:"path",attr:{d:"M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"}}]})(e)};N.displayName="MdClose";const y="/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/Modal.jsx";
/**
 * > ...add dialogs to your site for lightboxes, user notifications, or completely custom content.
 * > https://getbootstrap.com/docs/4.5/components/modal/
 */class v extends r.Component{close(){this.props.closeHandler&&this.props.closeHandler()}get closeButtonText(){return this.props.closeButtonText?this.props.closeButtonText:"Close"}get show(){return{closeButton:!this.props.hideCloseButton}}render(){return r.createElement("div",{className:"modal",role:"dialog",tabIndex:"-1",style:{display:"block",overflowY:"auto"},__self:this,__source:{fileName:y,lineNumber:29}},r.createElement("div",{className:"modal-dialog modal-lg",role:"document",__self:this,__source:{fileName:y,lineNumber:37}},r.createElement("div",{className:"modal-content",__self:this,__source:{fileName:y,lineNumber:38}},r.createElement("div",{className:"modal-header",__self:this,__source:{fileName:y,lineNumber:39}},r.createElement("h5",{className:"modal-title",__self:this,__source:{fileName:y,lineNumber:40}},this.props.title),this.show.closeButton?r.createElement("button",{type:"button",className:"close",onClick:this.close.bind(this),title:this.closeButtonText,__self:this,__source:{fileName:y,lineNumber:42}},r.createElement(N,{__self:this,__source:{fileName:y,lineNumber:47}})):""),r.createElement("div",{className:"modal-body",__self:this,__source:{fileName:y,lineNumber:53}},this.props.children),r.createElement("div",{className:"modal-footer",__self:this,__source:{fileName:y,lineNumber:54}},this.props.footer||""))))}componentDidMount(){let e=document.createElement("div");e.className="modal-backdrop",document.body.appendChild(e),document.body.style.overflow="hidden"}componentWillUnmount(){let e=document.getElementsByClassName("modal-backdrop");for(let t=0;t<e.length;t++){let s=e[t];document.body.removeChild(s)}document.body.style.overflow="scroll"}}v.propTypes={/** sets the close button's `title` attribute */closeButtonText:t.string,/** callback that handles the close button being clicked */closeHandler:t.func,children:t.node,footer:t.node,/** set this to true if you want to hide the close button (at the top-right corner) */hideCloseButton:t.bool,title:t.node},v.defaultProps={closeButtonText:"Close",hideCloseButton:!1};const x="/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/NavItem.jsx";
/**
 * These are used as children of both [`<Nav>`](#nav) and [`<NavBar>`](#navbar) components
 */class C extends r.Component{disableParentToggler(){this.props.disableToggler&&this.props.disableToggler()}render(){let e=["nav-item"];this.props.subMenu&&e.push("dropdown");let t=e.join(" "),s=["nav-link"];this.props.active&&s.push("active"),this.props.disabled&&s.push("disabled"),this.props.subMenu&&s.push("dropdown-toggle");let o=s.join(" "),n=this.props.href||"",i=e=>t=>{e.onClick?e.onClick(t):void 0===e.href&&t.preventDefault(),!1!==e.toggleParent&&this.disableParentToggler()};return r.createElement("li",{className:t,__self:this,__source:{fileName:x,lineNumber:61}},r.createElement(k,{href:n,className:o,component:this.props.component,onClick:e=>{this.props.onClick?(e.persist(),this.props.onClick(e)):void 0===this.props.href&&e.preventDefault(),this.props.subMenu||!1===this.props.toggleParent||this.disableParentToggler()},__self:this,__source:{fileName:x,lineNumber:62}},this.props.name),this.props.subMenu?r.createElement("div",{className:"dropdown-menu animate__animated animate__faster animate__fadeIn",__self:this,__source:{fileName:x,lineNumber:70}},this.props.subMenu.map((e,t)=>r.createElement(k,{className:"dropdown-item "+(e.active?"active":""),component:e.component,exact:e.exact,href:e.href||"",onClick:i(e),key:t,__self:this,__source:{fileName:x,lineNumber:72}},e.name))):"")}}function k(e){return r.createElement(e.component||"a",{href:e.component?void 0:e.href||"",to:e.component?e.href||"":void 0,className:e.className,onClick:e.onClick,exact:e.exact},e.children)}k.propTypes={children:t.node,className:t.string,component:t.elementType,exact:t.bool,href:t.string,onClick:t.func},C.propTypes={/** controls whether the `active` className should be added to the link */active:t.bool,/** you can pass the `Link` component imported from [react-router-dom](https://www.npmjs.com/package/react-router-dom) here */component:t.elementType,disabled:t.bool,/** in submenu item, this callback should handle toggling the parent menu. Typically, this is only used by `NavBar`. */disableToggler:t.func,href:t.string,/** this is whatever you want rendered within the link */name:t.node,/** callback function which accepts `event` argument */onClick:t.func,/** an array of objects representing `NavItem` props */subMenu:t.array,/** in submenu items, this can be set explicitly to false to disable toggling the parent item. Typically, this is only used by `NavBar`. */toggleParent:t.bool},C.defaultProps={active:!1,disabled:!1};h(".navbar .dropdown:hover .dropdown-menu {\n  display: block;\n}\n\n.navbar .dropdown .dropdown-menu {\n  margin: 0;\n}\n\n.nav .dropdown:hover .dropdown-menu {\n  display: block;\n}\n\n.nav .dropdown .dropdown-menu {\n  margin: 0;\n}\n");const w="/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/Nav.jsx";
/**
 * https://getbootstrap.com/docs/4.5/components/navs/
 */class T extends r.Component{render(){let e=["nav"];"center"===this.props.align?e.push("justify-content-center"):"right"===this.props.align?e.push("justify-content-end"):"vertical"===this.props.align&&e.push("flex-column"),"pills"===this.props.type?e.push("nav-pills"):"tabs"===this.props.type&&e.push("nav-tabs"),this.props.collapsible&&e.push("flex-column flex-md-row"),this.props.fill&&e.push("nav-fill"),this.props.justify&&e.push("nav-justified"),this.props.className&&e.push(this.props.className);let t=e.join(" ");return r.createElement("ul",{className:t,__self:this,__source:{fileName:w,lineNumber:46}},this.props.menu.map((e,t)=>r.createElement(C,{name:e.name,href:e.href,component:e.component,key:t,active:e.active,disabled:e.disabled,exact:e.exact,onClick:e.onClick,subMenu:e.subMenu,__self:this,__source:{fileName:w,lineNumber:48}})))}}T.propTypes={align:t.oneOf(["center","right","vertical"]),/** additional className to append to `<ul>` element */className:t.string,collapsible:t.bool,/** controls whether to add the `nav-fill` className */fill:t.bool,/** controls whether to add the `nav-justified` to className */justify:t.bool,/** an array of objects representing [`<NavItem>`](#navitem) props */menu:t.array.isRequired,/** controls whether to add `nav-pills` or `nav-tabs` to className */type:t.oneOf(["pills","tabs"])},T.defaultProps={collapsible:!1,fill:!1,justify:!1};const E="/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/NavBar.jsx";
/**
 * > _Bootstrap’s powerful, responsive navigation header, the navbar. Includes support for branding, navigation, and more..._
 * > https://getbootstrap.com/docs/4.5/components/navbar/
 */class j extends r.Component{constructor(e){super(e),this.state={shownSubmenuItems:[],toggler:!1,height:0}}disableToggler(){this.setState({toggler:!1},this.setSize)}get fixedClass(){let e="";return this.props.fixedTo&&(e="fixed-"+this.props.fixedTo),e}get togglerPosition(){return this.props.togglerPosition||"right"}setSize(){this.setState(e=>(e.height=e.toggler&&this.props.menu?"100vh":0,e))}toggleToggler(){this.setState(e=>(e.toggler=!e.toggler,e),this.setSize)}render(){let e=()=>r.createElement("button",{className:"navbar-toggler",type:"button",onClick:this.toggleToggler.bind(this),__self:this,__source:{fileName:E,lineNumber:51}},r.createElement("span",{className:"navbar-toggler-icon",__self:this,__source:{fileName:E,lineNumber:55}}));return r.createElement("nav",{className:`navbar ${this.fixedClass} navbar-expand-md ${this.props.theme?`navbar-${this.props.theme} bg-${this.props.theme}`:""}`,style:this.style,__self:this,__source:{fileName:E,lineNumber:59}},r.createElement("div",{className:this.props.noContain?"d-flex justify-content-between w-100 flex-wrap":"container",__self:this,__source:{fileName:E,lineNumber:66}},"left"===this.togglerPosition?e():"",r.createElement("div",{__self:this,__source:{fileName:E,lineNumber:73}},this.props.brand?r.createElement("a",{className:"navbar-brand "+(this.props.brand.link?"":"mb-0 h1"),href:this.props.brand.href||"",onClick:e=>{this.disableToggler(),e.persist(),this.props.brand.onClick&&this.props.brand.onClick(e)},__self:this,__source:{fileName:E,lineNumber:75}},this.props.brand.name):""),"right"===this.togglerPosition?e():"",r.createElement("div",{className:"navbar-collapse d-none d-md-flex",__self:this,__source:{fileName:E,lineNumber:94}},r.createElement("ul",{className:"navbar-nav",__self:this,__source:{fileName:E,lineNumber:95}},this.props.menu.map((e,t)=>r.createElement(C,{name:e.name,href:e.href,component:e.component,key:t,active:e.active,disabled:e.disabled,exact:e.exact,onClick:e.onClick,subMenu:e.subMenu,disableToggler:!1===e.toggleParent?void 0:this.disableToggler.bind(this),toggleParent:e.toggleParent,__self:this,__source:{fileName:E,lineNumber:97}})))),r.createElement("div",{className:"navbar-collapse d-md-none",__self:this,__source:{fileName:E,lineNumber:117}},r.createElement("ul",{className:"navbar-nav d-md-none animate__animated animate__faster "+(this.state.toggler?"animate__bounceInDown":"animate__bounceOutUp"),style:{height:this.state.height,transition:"height 500ms "+(this.state.toggler?"ease-out":"ease-in")},__self:this,__source:{fileName:E,lineNumber:118}},this.props.menu.map((e,t)=>r.createElement(C,{name:e.name,href:e.href,component:e.component,key:t,index:t,active:e.active,disabled:e.disabled,exact:e.exact,onClick:e.onClick,subMenu:e.subMenu,disableToggler:!1===e.toggleParent?void 0:this.disableToggler.bind(this),toggleParent:e.toggleParent,__self:this,__source:{fileName:E,lineNumber:131}}))))))}}j.propTypes={/** object with the following keys: `link`, `href`, `name`, and `onClick`.  */brand:t.object,/** controls if the navbar is fixed to either the top or bottom of the window */fixedTo:t.oneOf(["top","bottom"]),/** an array of objects representing [`<NavItem>`](#navitem) props */menu:t.array.isRequired,/** controls whether the nav should be in a `div.container` */noContain:t.bool,theme:t.oneOf(["dark","light"]),/** where to put the hamburger menu */togglerPosition:t.oneOf(["left","right"])},j.defaultProps={noContain:!1,togglerPosition:"right"};const P="/home/drelkin86/Projects/preaction/bootstrap-clips/src/components/Spinner.jsx";
/**
 * > _Indicate the loading state of a component or page..._
 * > https://getbootstrap.com/docs/4.5/components/spinners/
 */class B extends r.Component{render(){return r.createElement("div",{className:"spinner-container d-flex",style:{flexDirection:this.props.flexDirection},__self:this,__source:{fileName:P,lineNumber:11}},r.createElement("div",{className:"spinner-"+this.props.type,role:"status",style:{width:this.props.size+"rem",height:this.props.size+"rem",marginLeft:"column"===this.props.flexDirection?"auto":void 0,marginRight:"column"===this.props.flexDirection?"auto":void 0},__self:this,__source:{fileName:P,lineNumber:16}}),this.props.children?r.createElement("div",{className:"spinner-children",style:{fontSize:this.props.fontSize+"rem",lineHeight:"row"===this.props.flexDirection?this.props.size+"rem":void 0,marginLeft:"row"===this.props.flexDirection?"0.5rem":void 0,marginTop:"column"===this.props.flexDirection?"0.5rem":void 0},__self:this,__source:{fileName:P,lineNumber:28}},this.props.children):r.createElement("div",{className:"sr-only",__self:this,__source:{fileName:P,lineNumber:44}},"Loading..."))}}B.propTypes={children:t.node,flexDirection:t.oneOf(["column","row"]),fontSize:t.oneOfType([t.string,t.number]),size:t.oneOfType([t.string,t.number]),type:t.oneOf(["border","grow"])},B.defaultProps={fontSize:1.333,flexDirection:"row",size:2,type:"border"},exports.Alert=i,exports.AnimatedButton=a,exports.Boilerplate=c,exports.Card=p,exports.Modal=v,exports.Nav=T,exports.NavBar=j,exports.NavItem=C,exports.Spinner=B,exports.getClassesForColumn=o;
//# sourceMappingURL=preaction-bootstrap-clips.cjs.js.map
